//
// ONVIFCameraIrCutFilter.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct ONVIFCameraIrCutFilter: Codable {

    public var currentMode: ONVIFIrCutFilterModes
    public var supportedModes: [ONVIFIrCutFilterModes]

    public init(currentMode: ONVIFIrCutFilterModes, supportedModes: [ONVIFIrCutFilterModes]) {
        self.currentMode = currentMode
        self.supportedModes = supportedModes
    }

    public enum CodingKeys: String, CodingKey { 
        case currentMode = "current_mode"
        case supportedModes = "supported_modes"
    }

}
